locked
Iot Edge Deployment - 412 -- The deployment configuration schema version is invalid RRS feed

  • Question

  • I have created an container image. I have tested the container image on a Raspberry Pi 4 with Raspbian Buster and Docker. IoT Edge is installed and working fine.

    Now I want to deploy the container through the IoT Hub using an IoT Edge deployment. The deployments validates and is created, but the container is not deployed. I receive an error message: 412 -- The deployment configuration schema version is invalid.

    Other containers can be deployed using an IoT Edge deployment. 

    What could cause this 412 error message? How can I get more information about the message in the hub or on the device?


    Monday, May 18, 2020 9:21 AM

All replies

  • Hello,

    Apologies for the delay in response?

    Are you following any documentation for the steps?

    The IoT Edge agent sends runtime response to IoT Hub 412 when the schema version in the deployment configuration is invalid.

    I would suggest you, start with the Built-in troubleshooting functionality and see if it helps to identify the issue.

    Thursday, May 21, 2020 12:34 PM
  • Have you had a chance to see the above response? Do let us know if that helps.
    Wednesday, May 27, 2020 5:51 AM